<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>jqSiblings</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>
<body>
    <ul>
        <li class='new'>Элемент 1</li>
        <li id='two' class='new'>Элемент 2</li>
        <li>Элемент 3</li>
        <li class='new'>Элемент 4</li>
        <li class='new'>Элемент 5</li>
        <li>Элемент 6</li>
        <li>Элемент 7</li>
    </ul>
    <script>
        $('#two').parent().children('.new').css('font-weight', 'bold')
    </script>
</body>
</html>